<div class="modal-header">
    <h4 *ngIf="type === 'DELETE' || type === 'CONFIRM'" class="modal-title header" jhiTranslate={{title}}>Confirm operation</h4>
    <h4 *ngIf="type === 'WARNING'" class="modal-title font-weight-bold" jhiTranslate="entity.warning.title">Warning</h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
</div>
<div class="modal-body">
    <p [innerHTML]="content | translate:translateValues"></p>
</div>
<div class="modal-footer">
    <div class="row justify-content-center">
        <div class="col-md-12 pr-0">
            <button ngbAutofocus *ngIf="leftButton" type="button" class="btn btn-outline-primary" (click)="cancel()">
                <span>{{leftButton | translate}}</span>
            </button>
            <button *ngIf="rightButton" type="button" [ngClass]="type === 'DELETE'? 'btn-danger' : 'btn-primary'" class="btn ml-1" (click)="confirm()">
                <span>{{rightButton | translate}}</span>
            </button>
        </div>
    </div>
</div>
